Unit taeb6r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEB6R_p;

function taeb6r: String;

implementation

function taeb6r: String;
var
N,NM,M,L,IERR,L0,J,I,_i :Integer;
C :Array [0..24] of Real;
V :Array [0..9] of Real;
Z :Array [0..4] of Real;
W :Array [0..9] of Real;
LOG :Array [0..9] of Boolean;
const
B :Array [0..14] of Real = ( 0.0,0.0,4.0,0.0,4.0,0.0,3.0,3.0,3.0,3.0,5.0,
3.25,1.0,4.25,6.0 );
EV :Array [0..1] of Real = ( 1.0,2.0 );
begin
for _i:=0 to 9 do
 LOG[_i] := false; // 
Result := '';  {   }
N := 5;
NM := 5;
M := 3;
L := 2;
IERR := 0;
L0 := 0;
AEB6R(NM,N,M,B,C,EV,L,L0,V,Z,W,LOG,IERR);
Result := Result + Format('%s',['  V' + #$0D#$0A]);
for I:=1 to N do
 begin
  for J:=1 to 2 do
   begin
    Result := Result + Format('%20.16f ',
 [V[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  IERR']);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
UtRes('taeb6r',Result);  {     taeb6r.res }
exit;
end;

end.
